Package oracle.nosql.driver

## Enum Durability.SyncPolicy

- java.lang.Object
- - java.lang.Enum<Durability.SyncPolicy>
  - - oracle.nosql.driver.Durability.SyncPolicy

- All Implemented Interfaces:
    `Serializable`, `Comparable<Durability.SyncPolicy>`
  Enclosing class:
    Durability

      public static enum Durability.SyncPolicy
      extends Enum<Durability.SyncPolicy>

  Defines the synchronization policy to be used when committing a transaction. High levels of synchronization offer a greater guarantee that the transaction is persistent to disk, but trade that off for lower performance.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NO_SYNC` | Do not write or synchronously flush the log on transaction commit.
    `SYNC` | Write and synchronously flush the log on transaction commit.
    `WRITE_NO_SYNC` | Write but do not synchronously flush the log on transaction commit.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Durability.SyncPolicy` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Durability.SyncPolicy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SYNC

          public static final Durability.SyncPolicy SYNC

      Write and synchronously flush the log on transaction commit. Transactions exhibit all the ACID (atomicity, consistency, isolation, and durability) properties.

    - #### NO_SYNC

          public static final Durability.SyncPolicy NO_SYNC

      Do not write or synchronously flush the log on transaction commit. Transactions exhibit the ACI (atomicity, consistency, and isolation) properties, but not D (durability); that is, database integrity will be maintained, but if the application or system fails, it is possible some number of the most recently committed transactions may be undone during recovery. The number of transactions at risk is governed by how many log updates can fit into the log buffer, how often the operating system flushes dirty buffers to disk, and how often log checkpoints occur.

    - #### WRITE_NO_SYNC

          public static final Durability.SyncPolicy WRITE_NO_SYNC

      Write but do not synchronously flush the log on transaction commit. Transactions exhibit the ACI (atomicity, consistency, and isolation) properties, but not D (durability); that is, database integrity will be maintained, but if the operating system fails, it is possible some number of the most recently committed transactions may be undone during recovery. The number of transactions at risk is governed by how often the operating system flushes dirty buffers to disk, and how often log checkpoints occur.

  - ### Method Detail

    - #### values

          public static Durability.SyncPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Durability.SyncPolicy c : Durability.SyncPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Durability.SyncPolicy valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null